# Class default

Abstract class for services that display messages.

#### Abstract

#### Hierarchy (view full)

- default
  - MessageNotification

- Defined in src/message/Message.ts:62

#####
Index

### Constructors

constructor

### Methods

error
info
show
success
warn

## Constructors

### constructor

- new default(): default

- #### Returns default

## Methods

### error

- error(message): void

- Display the given error message or list of error messages.

  #### Parameters

  - message: string | string[]

    Message or list of messages.

  #### Returns void

  - Defined in src/message/Message.ts:89

### info

- info(message): void

- Display the given info message or list of info messages.

  #### Parameters

  - message: string | string[]

    Message or list of messages.

  #### Returns void

  - Defined in src/message/Message.ts:98

### show

- show(object): void

- Show disclaimer message string or object or list of disclame message strings or objects.

  #### Parameters

  - object: string | Message | (string | Message)[]

    A message or list of messages as text or configuration objects.

  #### Returns void

  - Defined in src/message/Message.ts:79

### success

- success(message): void

- Display the given success message or list of success messages.

  #### Parameters

  - message: string | string[]

    Message or list of messages.

  #### Returns void

  - Defined in src/message/Message.ts:107

### warn

- warn(message): void

- Display the given warning message or list of warning messages.

  #### Parameters

  - message: string | string[]

    Message or list of messages.

  #### Returns void

  - Defined in src/message/Message.ts:116

Generated using TypeDoc